Skip to main content
`Ctrl`+`K`

# PetscFEGeomGetCellPoint

Get the cell geometry for cell `c` at point `p` as a `PetscFEGeom`

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEGeomGetCellPoint(PetscFEGeom *geom, PetscInt c, PetscInt p, PetscFEGeom *pgeom)

## Input Parameters

- geom - `PetscFEGeom` object

- c - The cell

- p - The point

## Output Parameter

- pgeom - The cell geometry of cell `c` at point `p`

## Notes

For PETSC_FEGEOM_BOUNDARY mode, this gives the geometry for supporting cell 0. For PETSC_FEGEOM_COHESIVE mode, this gives the bulk geometry for that internal face.

For affine geometries, this only copies to pgeom at point 0. Since we copy pointers into `pgeom`, nothing needs to be done with it afterwards.

## See Also

`PetscFEGeom`, `PetscFEGeomMode`, `PetscFEGeomRestoreChunk()`, `PetscFEGeomCreate()`

## Level

intermediate

## Location

src/dm/dt/fe/interface/fegeom.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages